#!/usr/bin/gnuplot

set terminal postscript eps enhanced
set out "cu-einkrist.eps"

#set xtics 20
#set ytics 50
#set grid
set ylabel "g-Faktor"
set xlabel "Winkel/Grad"
#set xrange [-0.2:1]
set key right top box


f(x) = a + b * sin((x + t) /180*pi)**2
fit f(x) "cu-einkrist.dat" via a, b, t


#a               = 2.10695          +/- 0.003409     (0.1618%)
#b               = 0.148341         +/- 0.005715     (3.852%)
#t               = -38.2828         +/- 1.017        (2.658%)


plot "cu-einkrist.dat" w xyerrorb t "Messwerte mit Fehlern" lt 1, f(x) t "angepasste Funktion"

set terminal postscript eps enhanced
set out "cu-einkrist-sinquad.eps"

g(x) = y0 + m * x
fit g(x) "cu-einkrist.dat" using (sin(($1-38.2828)/180*pi)**2):2 via y0, m

#y0              = 2.10695          +/- 0.00317      (0.1504%)
#m               = 0.148341         +/- 0.005341     (3.6%)

set xlabel "sin(Winkel)^2"

plot "cu-einkrist.dat" using (sin(($1-38.2828)/180*pi)**2):2:4 w errorb t "Messwerte mit Fehlern" lt 1, g(x) t "angepasste Funktion"


